Skip to main content
PUT
/
contractors
/
{contractor}
Update a contractor
curl --request PUT \
  --url https://sandbox.nmbr.co/services/payroll/contractors/{contractor} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "business_name": "Contractor Co",
  "first_name": "John",
  "last_name": "Smith",
  "email": "john@smith.com",
  "external_ref": "<external_ref>"
}
'
{
  "id": "<id>",
  "object": "contractor",
  "data": {
    "business_name": "Contractor Co",
    "first_name": "John",
    "last_name": "Smith",
    "middle_initial": null,
    "email": "john@smith.com",
    "business_number": null,
    "sin_last_3": null,
    "external_ref": "<external_ref>",
    "preferred_locale": null,
    "archived_at": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/contractors/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contractor
string
required

Body

application/json
business_name
string | null

The contractor's business or corporation name. null for individual contractors.

Maximum string length: 255
first_name
string | null

The contractor's first name. null for corporation contractors.

Maximum string length: 50
last_name
string | null

The contractor's last name. null for corporation contractors.

Maximum string length: 50
middle_initial
string | null

The contractor's middle initial. null for corporation contractors.

Maximum string length: 1
email
string

The contractor's email address, used for payroll communications.

business_number
string

The contractor's 15-character (BN15) Canada Revenue Agency (CRA) program account number, consisting of a 9-digit Business Number (BN), a 2-letter program identifier, and a 4-digit reference number. null for individual contractors.

sin
string

The contractor's Social Insurance Number (SIN). null for corporation contractors.

external_ref
string
Maximum string length: 255
preferred_locale
enum<string>

The locale used for payroll communications sent to this contractor, such as Pay Stub emails. If not set, the Business Entity's locale is used.

Available options:
en,
fr
archived_at
string<date>

The date the contractor was archived. Archiving a contractor also archives all Work Assignments that are not already archived. Archived contractors do not appear in active listings.

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("contractor").

data
Contractor · object